#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Unicode
%define		pnam	Map
Summary:	Perl Unicode::Map module
Summary(pl.UTF-8):	Moduł Perla Unicode::Map
Name:		perl-Unicode-Map
Version:	0.112
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	edaa8fc5ddf0e5d805e274283dd0625d
URL:		http://search.cpan.org/dist/Unicode-Map/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Startup
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Map module converts strings from and to Unicode UCS2 format.

%description -l pl.UTF-8
Moduł Unicode::Map konwertuje łańcuchy znaków na format Unicode UCS2 i
odwrotnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Unicode/Map
%{perl_vendorarch}/Unicode/Map.pm
%dir %{perl_vendorarch}/auto/Unicode/Map
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/Map/Map.so
%{_mandir}/man[13]/*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Unicode-Map.git;a=log;h=76c3c479f1d22269daa9043300b13711103c6bbb

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 76c3c47
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d037a92
- rebuild with perl 5.30.0
- release 18 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 0921dd3
- release 17

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b10e5f8
- perl req/prov fix
- release 16 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c66e2e5
- rebuild with perl 5.26
- release 15 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 208f0b1
- rebuild with perl 5.24.0
- release 14 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f1ab19a
- release 13 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 076fb83
- x32 rebuild
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7fe0fea
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ab3a33b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 08099b4
- rebuild for perl 5.20
- release 10 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c7f2810
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 4a11215
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 71ff26e
- release 7

* Sun Jun 06 2010 radek <radek@pld-linux.org> f07d880
- release 6

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 0f38495
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 81d5727
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> bafde73
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 80c748c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0253db6
- converted to UTF-8

